POST /storage/objects/{object_id}/links
Create a time-limited signed link
Exact scope storage:read. Hidden surface: 404 not_found until Galon Storage is open to the account.
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
object_id | path | string · required |
Request body
application/json
| Field | Type | Description |
|---|---|---|
expires_in | integer · required | |
disposition | "attachment" | "inline" |
Responses
| Status | Description | Body |
|---|---|---|
201 | Signed URL, expiry | object |
400 | body_fields_invalid | Error |
404 | storage_object_not_found | Error |
401 | Key missing or invalid | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/storage/objects/<object_id>/links" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"expires_in": 1}'Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.objects.link("<id>", {"expires_in": 1});Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.objects.link("<id>", {"expires_in": 1})